%define majorrelease 1
%define	major	1


Summary:	GConf is a configuration database system.
Name:		GConf
Version: 	1.0.0
Release:	3mdk
Copyright:	GPL
Group:		Graphical desktop/GNOME
Source: 	ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.0.0-1mdk patch to correctly detect db3.1
Patch0:		GConf-1.0.0-db3.patch.bz2
URL:		ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  liboaf-devel db3-devel libxml-devel libgtk+1.2-devel
Prereq:		oaf lib%{name}%{major} 

%description
GConf is a configuration database for the GNOME project.

%package  -n lib%{name}%{major}
Summary:	GConf is a configuration database system.
Group:		Graphical desktop/GNOME
%description -n lib%{name}%{major}
GConf is a configuration database for the GNOME project.

%package  -n lib%{name}%{major}-devel
Provides:	lib%{name}-devel
Summary:	Development libraries and headers for GConf
Group:		Graphical desktop/GNOME
Requires:	%name = %{version}
Requires:	lib%{name}%{major} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{name}-devel

%description  -n lib%{name}%{major}-devel
GConf is a configuration database for the GNOME project.

This package contains the header files and libraries needed to develop
applications using GConf.

%prep
%setup -q
%patch0 -p 1 -b .db3

#needed by patch0
autoconf

%build

%configure --disable-debug

#doesn't support parallel compilation
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE="xml::%{_sysconfdir}/gconf/gconf.xml.defaults"	\
	%{_bindir}/gconftool --makefile-install-rule			\
	%{_sysconfdir}/gconf/schemas/desktop.schemas
if [ "$DURING_INSTALL" != "" ]; then
  killall oafd 2>&1 > /dev/null
fi

%post -p /sbin/ldconfig -n lib%{name}%{major}

%postun -p /sbin/ldconfig -n lib%{name}%{major}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%config(noreplace) %{_sysconfdir}/gconf/*
%{_libdir}/GConf/%{majorrelease}/*.so
%{_bindir}/gconfd-%{majorrelease}
%{_bindir}/gconftool
%{_bindir}/gconftool-%{majorrelease}
%{_datadir}/oaf/*
%{_datadir}/gconf

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n lib%{name}%{major}-devel
%defattr (-, root, root)
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/GConf/%{majorrelease}/*a
%{_bindir}/gconf-config
%{_bindir}/gconf-config-%{majorrelease}
%{_datadir}/aclocal/*
%{_includedir}/gconf

%changelog
* Fri Mar 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-3mdk
- Correct BuildRequires (thanks to Vadim Plessky)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-2mdk
- devel package now provides/obsoletes GConf-devel

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0
- Patch 0 to correctly detect db3 and provide db3 frontend

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50-1mdk
- Release 0.50

* Mon Feb 12 2001 Warly <warly@mandrakesoft.com> 0.12-4mdk
- Really shutdown oafd during install

* Mon Feb 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-3mdk
- Shutdown oafd during install
- Remove old patches

* Tue Jan 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-2mdk
- Recompiled with oaf 0.6.2

* Mon Jan 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Release 0.11

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Change major to 0 (I suck !!)

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- Split libraries in separate package

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Use find_lang macro

* Thu Aug 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8.0
- update patch for new release

* Fri Aug  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7.0
- patch Makefile to prevent installing schemas at build time

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Build without debugging code

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-2mdk
- BM + macroszification

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.6-1mdk
- Updated version to a more stable release

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.5-1mdk
- packaged for Mandrake
